Create Contact
Please find the list of acceptable values for the country field here
POST
/
contacts
Create Contact
curl --request POST \
--url https://services.leadconnectorhq.com/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "Rosan",
"lastName": "Deo",
"name": "Rosan Deo",
"email": "rosan@deos.com",
"gender": "male",
"phone": "+1 888-888-8888",
"address1": "3535 1st St N",
"city": "Dolomite",
"state": "AL",
"postalCode": "35061",
"website": "https://www.tesla.com",
"timezone": "America/Chihuahua",
"dnd": true,
"dndSettings": {},
"inboundDndSettings": {},
"tags": [
"nisi sint commodo amet",
"consequat"
],
"customFields": [
{
"id": "6dvNaf7VhkQ9snc5vnjJ",
"key": "my_custom_field",
"field_value": "My Text"
}
],
"source": "public api",
"dateOfBirth": "1990-09-25",
"country": "US",
"companyName": "DGS VolMAX",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 've9EPM428h8vShlRW1KT',
firstName: 'Rosan',
lastName: 'Deo',
name: 'Rosan Deo',
email: 'rosan@deos.com',
gender: 'male',
phone: '+1 888-888-8888',
address1: '3535 1st St N',
city: 'Dolomite',
state: 'AL',
postalCode: '35061',
website: 'https://www.tesla.com',
timezone: 'America/Chihuahua',
dnd: true,
dndSettings: {},
inboundDndSettings: {},
tags: ['nisi sint commodo amet', 'consequat'],
customFields: [{id: '6dvNaf7VhkQ9snc5vnjJ', key: 'my_custom_field', field_value: 'My Text'}],
source: 'public api',
dateOfBirth: '1990-09-25',
country: 'US',
companyName: 'DGS VolMAX',
assignedTo: 'y0BeYjuRIlDwsDcOHOJo'
})
};
fetch('https://services.leadconnectorhq.com/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts"
payload = {
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "Rosan",
"lastName": "Deo",
"name": "Rosan Deo",
"email": "rosan@deos.com",
"gender": "male",
"phone": "+1 888-888-8888",
"address1": "3535 1st St N",
"city": "Dolomite",
"state": "AL",
"postalCode": "35061",
"website": "https://www.tesla.com",
"timezone": "America/Chihuahua",
"dnd": True,
"dndSettings": {},
"inboundDndSettings": {},
"tags": ["nisi sint commodo amet", "consequat"],
"customFields": [
{
"id": "6dvNaf7VhkQ9snc5vnjJ",
"key": "my_custom_field",
"field_value": "My Text"
}
],
"source": "public api",
"dateOfBirth": "1990-09-25",
"country": "US",
"companyName": "DGS VolMAX",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"contact": {
"id": "seD4PfOuKoVMLkEZqohJ",
"dateAdded": "2021-08-31T09:59:41.937Z",
"dateUpdated": "2021-08-31T09:59:41.937Z",
"deleted": false,
"tags": [
"nisi sint commodo amet",
"consequat"
],
"type": "read",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"value": "name"
}
],
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "rubika",
"firstNameLowerCase": "rubika",
"fullNameLowerCase": "rubika deo",
"lastName": "Deo",
"lastNameLowerCase": "deo",
"email": "rubika@deos.com",
"emailLowerCase": "rubika@deos.com",
"bounceEmail": false,
"unsubscribeEmail": false,
"dnd": true,
"dndSettings": {
"Call": {
"message": "<string>",
"code": "<string>"
},
"Email": {
"message": "<string>",
"code": "<string>"
},
"SMS": {
"message": "<string>",
"code": "<string>"
},
"WhatsApp": {
"message": "<string>",
"code": "<string>"
},
"GMB": {
"message": "<string>",
"code": "<string>"
},
"FB": {
"message": "<string>",
"code": "<string>"
}
},
"phone": "+18832327657",
"address1": "3535 1st St N",
"city": "ruDolomitebika",
"state": "AL",
"country": "US",
"postalCode": "35061",
"website": "https://www.tesla.com",
"source": "public api",
"companyName": "DGS VolMAX",
"dateOfBirth": "Date format will be YYYY-MM-DDTHH:mm:ss.sssZ and Example 1990-09-25T00:00:00.000Z",
"birthMonth": 8,
"birthDay": 25,
"lastSessionActivityAt": "2021-07-16T11:39:30.564Z",
"offers": [],
"products": [],
"businessId": "641c094001436dbc2081e642",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Body
application/json
Example:
"ve9EPM428h8vShlRW1KT"
Example:
"Rosan"
Example:
"Deo"
Example:
"Rosan Deo"
Example:
"rosan@deos.com"
Example:
"male"
Example:
"+1 888-888-8888"
Example:
"3535 1st St N"
Example:
"Dolomite"
Example:
"AL"
Example:
"35061"
Example:
"https://www.tesla.com"
Example:
"America/Chihuahua"
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
["nisi sint commodo amet", "consequat"]
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Example:
"public api"
The birth date of the contact. Supported formats: YYYY/MM/DD, MM/DD/YYYY, YYYY-MM-DD, MM-DD-YYYY, YYYY.MM.DD, MM.DD.YYYY, YYYY_MM_DD, MM_DD_YYYY
Example:
"1990-09-25"
Example:
"US"
Example:
"DGS VolMAX"
User's Id
Example:
"y0BeYjuRIlDwsDcOHOJo"
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Create Contact
curl --request POST \
--url https://services.leadconnectorhq.com/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "Rosan",
"lastName": "Deo",
"name": "Rosan Deo",
"email": "rosan@deos.com",
"gender": "male",
"phone": "+1 888-888-8888",
"address1": "3535 1st St N",
"city": "Dolomite",
"state": "AL",
"postalCode": "35061",
"website": "https://www.tesla.com",
"timezone": "America/Chihuahua",
"dnd": true,
"dndSettings": {},
"inboundDndSettings": {},
"tags": [
"nisi sint commodo amet",
"consequat"
],
"customFields": [
{
"id": "6dvNaf7VhkQ9snc5vnjJ",
"key": "my_custom_field",
"field_value": "My Text"
}
],
"source": "public api",
"dateOfBirth": "1990-09-25",
"country": "US",
"companyName": "DGS VolMAX",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 've9EPM428h8vShlRW1KT',
firstName: 'Rosan',
lastName: 'Deo',
name: 'Rosan Deo',
email: 'rosan@deos.com',
gender: 'male',
phone: '+1 888-888-8888',
address1: '3535 1st St N',
city: 'Dolomite',
state: 'AL',
postalCode: '35061',
website: 'https://www.tesla.com',
timezone: 'America/Chihuahua',
dnd: true,
dndSettings: {},
inboundDndSettings: {},
tags: ['nisi sint commodo amet', 'consequat'],
customFields: [{id: '6dvNaf7VhkQ9snc5vnjJ', key: 'my_custom_field', field_value: 'My Text'}],
source: 'public api',
dateOfBirth: '1990-09-25',
country: 'US',
companyName: 'DGS VolMAX',
assignedTo: 'y0BeYjuRIlDwsDcOHOJo'
})
};
fetch('https://services.leadconnectorhq.com/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts"
payload = {
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "Rosan",
"lastName": "Deo",
"name": "Rosan Deo",
"email": "rosan@deos.com",
"gender": "male",
"phone": "+1 888-888-8888",
"address1": "3535 1st St N",
"city": "Dolomite",
"state": "AL",
"postalCode": "35061",
"website": "https://www.tesla.com",
"timezone": "America/Chihuahua",
"dnd": True,
"dndSettings": {},
"inboundDndSettings": {},
"tags": ["nisi sint commodo amet", "consequat"],
"customFields": [
{
"id": "6dvNaf7VhkQ9snc5vnjJ",
"key": "my_custom_field",
"field_value": "My Text"
}
],
"source": "public api",
"dateOfBirth": "1990-09-25",
"country": "US",
"companyName": "DGS VolMAX",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"contact": {
"id": "seD4PfOuKoVMLkEZqohJ",
"dateAdded": "2021-08-31T09:59:41.937Z",
"dateUpdated": "2021-08-31T09:59:41.937Z",
"deleted": false,
"tags": [
"nisi sint commodo amet",
"consequat"
],
"type": "read",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"value": "name"
}
],
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "rubika",
"firstNameLowerCase": "rubika",
"fullNameLowerCase": "rubika deo",
"lastName": "Deo",
"lastNameLowerCase": "deo",
"email": "rubika@deos.com",
"emailLowerCase": "rubika@deos.com",
"bounceEmail": false,
"unsubscribeEmail": false,
"dnd": true,
"dndSettings": {
"Call": {
"message": "<string>",
"code": "<string>"
},
"Email": {
"message": "<string>",
"code": "<string>"
},
"SMS": {
"message": "<string>",
"code": "<string>"
},
"WhatsApp": {
"message": "<string>",
"code": "<string>"
},
"GMB": {
"message": "<string>",
"code": "<string>"
},
"FB": {
"message": "<string>",
"code": "<string>"
}
},
"phone": "+18832327657",
"address1": "3535 1st St N",
"city": "ruDolomitebika",
"state": "AL",
"country": "US",
"postalCode": "35061",
"website": "https://www.tesla.com",
"source": "public api",
"companyName": "DGS VolMAX",
"dateOfBirth": "Date format will be YYYY-MM-DDTHH:mm:ss.sssZ and Example 1990-09-25T00:00:00.000Z",
"birthMonth": 8,
"birthDay": 25,
"lastSessionActivityAt": "2021-07-16T11:39:30.564Z",
"offers": [],
"products": [],
"businessId": "641c094001436dbc2081e642",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}